# Extended NPC Spawn Attrition

### NOTE
Due to weapon files modifications, this mod might be imcompatible with weapon model modifications, highly recommand run on dedicated servers!

If you're not on dedicated servers, please enable `sv_cheats` and do `weapon_reparse` in console before starting the gamemode, disable `sv_cheats` after `weapon_reparse` is done

**Use the playlistvar** `aitdm_extended_spawns 1` **to enable extended NPC spawn contents**

**Please add** `+sv_max_props_multiplayer 500000` `+sv_max_prop_data_dwords_multiplayer 800000` **to startup args, or the game might crash**

Similar to [GruntMode](https://northstar.thunderstore.io/package/VoyageDB_Modding_Home/Grunt_Mode) but players are pilots

Including fixes in [NessieTempFix](https://northstar.thunderstore.io/package/VoyageDB_Modding_Home/Nessie_Temp_Fix)( except gamemode fixes ), Needs testing!


**Score Events:**

Start with Specialist grunts spawning

- 80: Spectres spawning

- 150: Stalkers and Prowlers spawning

- 230: Reapers can launch ticks spawning

- 280: Gunship spawning

- 330: Titans and NPC pilots spawning


### Change Logs

**v1.6.8**

- Update Readme

- Add NPC Gunship spawn

- Add compatibility with Northstar v1.19.9


**v1.6.7**

- Fix incorrect release package that causes game to crash or having chinese localizations


**v1.6.6**

- Update README


**v1.6.5**

- Fix Brute4 compatibility

- Make infantry with AT weapon don't running around when titan getting close

- Remove npc specialist grunt spawn with stalkers

- Balance npc specialist grunt weapons( buff elite-guard grunts and nerf sniper grunts )

- Increase stalker health

- Balance stalker weapons( buff epg, softball and nerf smr )

- Remove prowler squad spawns and replace with normal prowlers

- Increase prowler health

- Increase the damage prowlers dealt to titans and reapers

- Fix npc not switching to AT weapon on player embarking

- Add dangerous area for npc titan( excluded player owned titans ) and reaper's drop spot

- Make npcs don't target other npc titans( excluded player owned titans ) in bubble shield

- Make npc titan unable to melee rodeo player when they're targeting the titan


**v1.6.4**

- Fix incorrect kill replay callsign display when killed by a npc

- Fix player gain an extra electric smoke when respawn as titan with Overcore

- Fix a crash that may happen during intro spawn


**v1.6.3**

- Add compatibility with following update: [PR#701](https://github.com/R2Northstar/NorthstarMods/pull/701)


**v1.6.2**

- Fix a client script error related with npc arcball weapons


**v1.6.1**

- Fix titan loadout selection crash when enabled TitanFrameWork


**v1.6.0**

- Add compatibility with [TitanFrameWork](https://northstar.thunderstore.io/package/The_Peepeepoopoo_man/Titanframework/)

- Add NPC Archon if you have installed the mod [MoblinArchon](https://northstar.thunderstore.io/package/GalacticMoblin/MoblinArchon/), and NPC Brute4 spawns if installed [DinorushBrute4](https://northstar.thunderstore.io/package/Dinorush/DinorushBrute4/)


**v1.5.3**

- Use spawn waves for npc spawn to make it more stable

- Use custom execution chooser for npcs

- Add compatibility with following update: [PR#554](https://github.com/R2Northstar/NorthstarMods/pull/554)


**v1.5.2**

- Bug fixes about compilation


**v1.5.1**

- Add npc titan rodeo countermeasure( electric smoke )


**v1.5.0**

- Add compatibility with Northstar v1.18.0